API ReferenceapipaymentsGET /v1/admin/members/{user_id}/billing-summary

GET /v1/admin/members/\{user_id\}/billing-summary

Service: payments · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • user_id (string) required

Responses

200 Latest invoice and default payment method on file

{
  "type": "object",
  "properties": {
    "latest_invoice": {
      "type": [
        "object",
        "null"
      ],
      "properties": {
        "id": {
          "type": "string"
        },
        "date": {
          "type": "string"
        },
        "amount_cents": {
          "type": "integer"
        },
        "plan_label": {
          "type": "string"
        },
        "status": {
          "type": "string"
        },
        "hosted_invoice_url": {
          "type": [
            "string",
            "null"
          ]
        }
      },
      "required": [
        "id",
        "date",
        "amount_cents",
        "plan_label",
        "status",
        "hosted_invoice_url"
      ]
    },
    "payment_method": {
      "type": [
        "object",
        "null"
      ],
      "properties": {
        "brand": {
          "type": "string"
        },
        "last4": {
          "type": "string"
        },
        "exp_month": {
          "type": "integer"
        },
        "exp_year": {
          "type": "integer"
        }
      },
      "required": [
        "brand",
        "last4",
        "exp_month",
        "exp_year"
      ]
    }
  },
  "required": [
    "latest_invoice",
    "payment_method"
  ]
}

404 Billing context not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://payments.platform.loop.health/v1/admin/members/{user_id}/billing-summary \
  -H "Authorization: Bearer $ACCESS_TOKEN"